_clkmode = xtal1      ' enable external clock and pll times 16
_xinfreq = 20_000_000              ' set frequency to 5 MHZ

      
VAR
  Long stack[30]
  Byte Temp
  Byte Motor_Ident
  
OBJ

  DATA : "get_move"

PUB Main(TempAddr)


DIRA[0..1]~                                            'P1 IS HANDSHAKE; P0 IS ENABLE...
DIRA[3..6]~                                            'DATA BUS

                                
cognew(check_enable, @stack)  

repeat
  
  case Temp
    7:
      Motor_Ident := 1
      waitpeq(%00, %10, 0)                            'wait for ident enable to fall low                               
      DATA.readpins(Motor_ident)                        'call data function
      
    8:                                                  'waitpeq...first number state, second which pins
      Motor_Ident := 2
      waitpeq(%00, %10, 0)                               
      DATA.readpins(Motor_ident)
    3:
      Motor_Ident := 3
      waitpeq(%00, %10, 0)                               
      DATA.readpins(Motor_ident)
    4:
      Motor_Ident := 4
      waitpeq(%00, %10, 0)                               
      DATA.readpins(Motor_ident)

     

PUB check_enable

REPEAT
  
  waitpeq(%10, %10, 0)                                  'wait for initialisation enable (p1 -> RC6) to trigger                                                     'wait for data enable...P0 -> RC0
    Temp := INA[6..3]                                   'read data pins into temp

    

                  




  